// pages/home/index.js
import moment, { parseTwoDigitYear } from '../../utils/moment.min';
moment.locale('en', {
  longDateFormat: {
    l: "YYYY-MM-DD",
    L: "YYYY-MM-DD HH:mm:ss",
  },
})
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '本周菜谱'
    },
    list: [],
    style: {
      one: 0,
      two: 0,
      thr: 0,
      total: 0
    }
  },

  // 返回页面
  back() {
    wx.switchTab({
      url: '/pages/home/index',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 获取当前周的周一
    let weekOfday = parseInt(moment().format('d'));
    let start = moment().subtract(weekOfday - 1, 'days').format('YYYY-MM-DD');
    let end = moment().add(7 - weekOfday, 'days').format('YYYY-MM-DD');
    const query = `date@start=${start}&date@end=${end}`
    wx.request({
      url: `${app.globalData.publicUrl}/api/st/dining/arrange?${query}`,
      method: "get",
      header: {
        'x-tenant': app.globalData.tenant
      },
      data: {},
      success: res => {
        for (const val of res.data.data) {
          let style = {}
          style.one = val.arrange.breakfast.length > 0 ? 30 * val.arrange.breakfast.length : 30;
          style.two = val.arrange.lunch.length > 0 ? 30 * val.arrange.lunch.length : 30;
          style.thr = val.arrange.dinner.length > 0 ? 30 * val.arrange.dinner.length : 30;
          style.total = style.one + style.two + style.thr;
          val.style = style;
        }
        console.log(res.data.data);
        this.setData({ list: res.data.data });
        // this.searchStyle(res.data.data)
      },
      error: err => {
        wx.showToast({
          title: err.msg,
          icon: 'error'
        })
      }
    })
  },
  // 计算高度
  searchStyle: function (data) {
    for (const val of data) {
      let data = {}
      data.one = val.arrange.breakfast.length > 0 ? 30 * val.arrange.breakfast.length : 30;
      data.two = val.arrange.lunch.length > 0 ? 30 * val.arrange.lunch.length : 30;
      data.thr = val.arrange.dinner.length > 0 ? 30 * val.arrange.dinner.length : 30;
      data.total = data.one + data.two + data.thr;
      console.log(data);
      this.setData({ style: data })

    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    // if (typeof this.getTabBar === 'function' &&
    //   this.getTabBar()) {
    //   this.getTabBar().setData({
    //     selected: 3
    //   })
    // }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})